Index: zconfig.h
===================================================================
--- zconfig.h	(revision 1111)
+++ zconfig.h	(working copy)
@@ -13,6 +13,14 @@
 /* Zaptel compile time options */
 
 /*
+ * Uncomment if you have a European phone, or any other phone with a 
+ *  short flash time.
+ * This will stop the flash being mis-detected as a pulse dial "1" on
+ *  phones with short flashes
+ */
+/* #define SHORT_FLASH_TIME */
+
+/*
  * Uncomment to disable calibration and/or DC/DC converter tests
  * (not generally recommended)
  */
Index: zaptel.h
===================================================================
--- zaptel.h	(revision 1111)
+++ zaptel.h	(working copy)
@@ -890,7 +890,13 @@
 #define	ZT_DEFAULT_PULSEAFTERTIME 750	/* 750ms between dial pulse digits */
 
 #define	ZT_MINPULSETIME (15 * 8)	/* 15 ms minimum */
+
+#ifdef SHORT_FLASH_TIME
+#define	ZT_MAXPULSETIME (80 * 8)	/* we need 80 ms, not 200ms, as we have a short flash */
+#else
 #define	ZT_MAXPULSETIME (200 * 8)	/* 200 ms maximum */
+#endif
+
 #define	ZT_PULSETIMEOUT ((ZT_MAXPULSETIME / 8) + 50)
 
 #define ZT_RINGTRAILER (50 * 8)	/* Don't consider a ring "over" until it's been gone at least this
